Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

Installing pry-nav makes pry croak with "SystemStackError" #17

Open
rcs opened this Issue · 5 comments

6 participants

@rcs

$ pry
Loading pryrc
[1] pry(main)> ^D
$ gem install pry-nav
Fetching: pry-nav-0.2.2.gem (100%)
Successfully installed pry-nav-0.2.2
1 gem installed
$ pry
/Users/rcs/Developer/.rbenv/versions/1.9.3-p125/bin/pry:19: stack level too deep (SystemStackError)
$ gem uninstall pry-nav
Successfully uninstalled pry-nav-0.2.2
$ pry
Loading pryrc
[1] pry(main)> ^D
$

@stancox

I have the same problem, need a solution

@gpad

I have the same problem on windows:

C:\>pry
C:/Ruby192/bin/pry:23: stack level too deep (SystemStackError)

C:\>gem uninstall pry-nav
Successfully uninstalled pry-nav-0.2.2

C:\>pry

Frame number: 0/5
[1] pry(main)>

@TravisSpangle

I fixed this by uninstalling the pry-nav gem

@nixme
Owner

Does pry-debugger work?

@millisami

Me too had to uninstall the pry-nav gem and the SystemStackError is gone.

@nixme pry-debugger works but I've used it with the rails proj only.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.